// JavaScript Document

function inicializa()
{
	document.getElementById("form_alta").nombre.focus();
	
	//código de los botones del menú superior
	var menu_listado = document.getElementById("menu_listado");
	menu_listado.onclick = function()
	{
		location.href = "../controlador/muestra_listado.php";	
	}
	var menu_nuevo = document.getElementById("menu_nuevo");
	menu_nuevo.onclick = function()
	{
		alert("menu_nuevo");	
	}
	var menu_salir = document.getElementById("menu_salir");
	menu_salir.onclick = function()
	{
		location.href = "../controlador/cierra_sesion_administrador.php";	
	}
	
	//código del botón de dar de alta
	var boton = document.getElementById("boton");
	boton.onclick = function()
	{
		var formulario = document.getElementById("form_alta");
		
		if (formulario.nombre.value == "")
		{
			alert("El campo nombre no puede estar vacío");
			formulario.nombre.focus();
		}
		else if (formulario.email.value == "")
		{
			alert("El campo email no puede estar vacío");
			formulario.email.focus();	
		}
		else
		{
			lanzarPeticion("form_alta");
			document.getElementById("form_alta").reset();
			document.getElementById("linea_boton").style.display = "none";
			document.getElementById("linea_espera").style.display = "block";	
		}		
	}
	
	//código de acceso al alta de empresas
	function lanzarPeticion(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_alta.php", true);
			cargador.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("Alta correcta");
						document.getElementById("form_alta").nombre.focus();
					}
					else
					{
						alert("Error en el alta");
					}
					document.getElementById("linea_boton").style.display = "block";
					document.getElementById("linea_espera").style.display = "none";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

window.onload = inicializa;