<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/alta.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/alta.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de clientes</p>
</header>

<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<p id="titulo_seccion">Alta de nuevo cliente</p>
        <div id="contenedor_formulario">
            <nav>
              <ul id="menu" class="lista_raw">
                  <li id="menu_listado">Listado<br>de clientes</li>
                  <li id="menu_nuevo">Nuevo<br>cliente</li>
                  <li id="menu_salir">Salir de la<br>aplicaci&oacute;n</li>
              </ul>
              <br class="limpia_flota">
            </nav>
            <p id="texto_info">Introduzca el nombre del nuevo cliente y un email válido, donde se le notificarán todas las comunicaciones. Finalmente, haga clic en el  botón <span>«dar de alta»</span></p>
            <form id="form_alta" action="../vistas/..." method="post">
           	  <ul class="lista_raw">
                <li>
                  <p><label for="nombre">Nombre del cliente</label></p>
                  <p><input class="form_acceso_input" id="nombre" name="nombre" type="text"></p>
                </li>
                <li>
                  <p><label for="email">Cuenta e-mail v&aacute;lida</label></p>
                  <p><input class="form_acceso_input" id="email" name="email" type="text"></p>
                </li>
              </ul>
              <br class="limpia_flota">
            </form>
            <p id="linea_boton"><input id="boton" name="boton" type="button" value="dar de alta"></p>
            <p id="linea_espera" class="linea_boton_p">Un momento por favor ...</p>
        </div>
      </div>
    </div>
</section>

<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
