// JavaScript Document

function inicializa()
{
	//alert(form_edicion.idempresa.value);
	
	var menu_listado = document.getElementById("menu_listado");
	menu_listado.onclick = function()
	{
		location.href = "../controlador/muestra_listado.php";	
	}
	var menu_nuevo = document.getElementById("menu_nuevo");
	menu_nuevo.onclick = function()
	{
		location.href = "../controlador/muestra_alta.php";	
	}
	var menu_salir = document.getElementById("menu_salir");
	menu_salir.onclick = function()
	{
		location.href = "../controlador/cierra_sesion_administrador.php";	
	}
	
	var boton_actualizar = document.getElementById("boton_actualizar");
	boton_actualizar.onclick = function()
	{
		var formulario = document.getElementById("form_edicion");
		
		if (formulario.nombre.value == "")
		{
			alert("El campo nombre no puede estar vacío");
			formulario.nombre.focus();
		}
		else if (formulario.email.value == "")
		{
			alert("El campo email no puede estar vacío");
			formulario.email.focus();	
		}
		else
		{
			actualizar("form_edicion");
			document.getElementById("linea_boton").style.display = "none";
			document.getElementById("linea_espera").style.display = "block";
		}
	}
	
	var boton_eliminar = document.getElementById("boton_eliminar");
	boton_eliminar.onclick = function()
	{
		eliminar();
		document.getElementById("linea_boton").style.display = "none";
		document.getElementById("linea_espera").style.display = "block";	
	}
	
	
	//código de acceso a la modificación de empresas
	function actualizar(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_edicion.php", true);
			cargador.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("Actualización correcta");
					}
					else
					{
						alert("Error en la actualización");
					}
					document.getElementById("linea_boton").style.display = "block";
					document.getElementById("linea_espera").style.display = "none";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
	
	//código de acceso a la eliminación de empresas
	function eliminar()
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = "idempresa=" + document.getElementById("idempresa").value;
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_borrado.php", true);
			cargador.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("Empresa eliminada correctamente");
						location.href = "../controlador/muestra_listado.php";
					}
					else
					{
						alert("Eliminación incorrecta: " + unescape(cadenaRespuesta));
						document.getElementById("linea_boton").style.display = "block";
						document.getElementById("linea_espera").style.display = "none";
					}
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

window.onload = inicializa;