// JavaScript Document

function inicializa()
{	
	inicializa_general();
	
	document.getElementById("form_datos").nombre_producto.focus();
	
	//código de los botones del menú de cabecera de la sección
	var menu_listado = document.getElementById("menu_listado");
	menu_listado.onclick = function()
	{
		var logo = document.getElementById("logo_empresa").src;
		var nombre = document.getElementById("nombre_empresa").innerHTML;
		
		location.href = "../controlador/muestra_lista_novedades.php?logo=" + escape(logo) + "&nombre=" + escape(nombre);	
	}
	
	//código del botón de crear novedad
	var boton_alta_novedades = document.getElementById("boton_alta_novedades");
	boton_alta_novedades.onclick = function()
	{	
		var formulario = document.getElementById("form_datos");
		
		if (formulario.nombre_producto.value !="")
		{
			if (formulario.precio.value !="")
			{
				if (!isNaN(formulario.precio.value))
				{
					if (formulario.descripcion.value !="")
					{
						lanzarPeticion("form_datos");
						document.getElementById("form_datos").reset();
						document.getElementById("linea_boton_alta_novedades").style.display = "none";
						document.getElementById("linea_espera_alta_novedades").style.display = "block";
					}
					else
					{
						alert("indique la descripción del producto");	
					}
				}
				else
				{
					alert("indique una cantidad para el precio del producto");	
				}
			}
			else
			{
				alert("indique algún precio para el producto");	
			}	
		}
		else
		{
			alert("indique algún nombre de producto");	
		}
	}
	
	//código de acceso a la identificación del administrador
	function lanzarPeticion(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_alta_novedades.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("El producto se dio de alta correctamente");
						//location.href = "../controlador/muestra_lista_novedades.php";
					}
					else
					{
						alert("Se produjo un error en el alta del producto");
					}
					document.getElementById("form_datos").nombre_producto.focus();
					document.getElementById("linea_boton_alta_novedades").style.display = "block";
					document.getElementById("linea_espera_alta_novedades").style.display = "none";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

window.onload = inicializa;