// JavaScript Document

function inicializa()
{	
	inicializa_general();
	
	//código del botón de actualizar
	var boton_datos = document.getElementById("boton_datos");
	boton_datos.onclick = function()
	{	
		lanzarPeticion("form_datos");
		
		document.getElementById("caja_muestra_provincia").innerHTML = document.getElementById("form_datos").provincia.value;
		document.getElementById("linea_boton_datos").style.display = "none";
		document.getElementById("linea_espera_datos").style.display = "block";
	}
	
	//código del botón de enviar mensaje
	var boton_mensaje = document.getElementById("boton_mensaje");
	boton_mensaje.onclick = function()
	{	
		if(document.getElementById("form_mensaje").mensaje.value != "")
		{
		  enviarEmail("form_mensaje");
		  
		  document.getElementById("linea_boton_mensaje").style.display = "none";
		  document.getElementById("linea_espera_mensaje").style.display = "block";
		}
		else
		{
			alert("Escriba algún mensaje");	
		}
	}
	
	//código de acceso a la actualización de los datos de la empresa
	function lanzarPeticion(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//formamos la cadena de parámetros del SEND
			var miFormulario = document.getElementById(formulario);
			var miVector = new Array();
			
			for(i=0; i<= miFormulario.elements.length-1; i++)
			{
				miVector[i] = escape(miFormulario.elements[i].value);
			}
			var query_string = "formulario=" + miVector.join("##");
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_edicion_empresa.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("La actualización se realizó correctamente");
					}
					else
					{
						alert("Error en la actualización");
					}
					document.getElementById("linea_espera_datos").style.display = "none";
					document.getElementById("linea_boton_datos").style.display = "block";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
	
	//código de acceso al envío de email al administrador
	function enviarEmail(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_envio_email.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("El email se envió correctamente");
						document.getElementById("form_mensaje").reset();
					}
					else
					{
						alert("Error en el envío del email");
					}
					document.getElementById("linea_espera_mensaje").style.display = "none";
					document.getElementById("linea_boton_mensaje").style.display = "block";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

window.onload = inicializa;