// JavaScript Document

function inicializa()
{	
	document.getElementById("form_acceso").email.focus();
	
	//código del botón de acceso
	var boton = document.getElementById("boton");
	boton.onclick = function()
	{	
		var validacion = validar_form();
		
		if (validacion)
		{
			lanzarPeticion("form_acceso");
			document.getElementById("form_acceso").reset();
			document.getElementById("linea_boton").style.display = "none";
			document.getElementById("linea_espera").style.display = "block";	
		}
		else
		{
			alert("debe introducir un email correcto");	
		}
	}
	
	//validamos que el string del email tenga formato correcto
	function validar_form()
	{
		var cadena = document.getElementById("form_acceso").email.value;
		var arroba = cadena.indexOf('@');
		var punto = cadena.lastIndexOf(".");
		
		if (arroba != -1 && punto != -1)
		{
			if (arroba < punto)
			{
				return(true);
			}
			else
			{
				return(false);	
			}
		}
		else
		{
			return(false);
		}	
	}
	
	//código de acceso a la identificación del administrador
	function lanzarPeticion(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/identificacion.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						location.href = "../controlador/muestra_datos_empresa.php";
					}
					else 
					{
						if (cadenaRespuesta == "desactivado")
						{
							alert("Su empresa está desactivada. Póngase en contacto con la administración del sistema");
						}
						else
						{
							alert("Identificación incorrecta");
						}
						document.getElementById("form_acceso").email.focus();
						document.getElementById("linea_boton").style.display = "block";
						document.getElementById("linea_espera").style.display = "none";	
					}
					
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

window.onload = inicializa;