<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/web_app.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/codigo_general.js"></script>
<script type="text/javascript" src="../vista/web_app.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de contenidos</p>
</header>
<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<nav>
        	<ul class="lista_raw">
            	<li id="boton_menu_datos">Datos de la empresa</li>
                <li id="boton_menu_novedades">Catálogo de novedades</li>
                <li class="opcion_seleccionada">Diseño de la aplicación</li>
            </ul>
        </nav>
        <div id="contenedor_general">
        
        	<section id="identificacion_empresa">
              <p id="parrafo_boton_cerrar_sesion"><img id="boton_cerrar_sesion_usuarios" src="../../imagenes/boton_cerrar_sesion_usuarios.png" width="40" height="40" alt="cerrar sesión de usuari@" title="cerrar sesión de usuari@"></p>
              <ul class="lista_raw">
              	<li><?php echo("<img id='logo_empresa' src='../../biblioteca/logotipos/".$fila_datos['logo'].".png' height='80' alt='logotipo'>"); ?></li>
                <li><?php echo(utf8_encode("<p id='nombre_empresa'>".$fila_datos['nombre']."</p>")); ?></li>
              </ul>
            </section>
            
            <?php if(!$fila_datos['app']){?>
            <section id="web_app_plantilla">
            	<ul class="encabezado_apartado">
                	<li class="encabezado_apartado_titulo">1. Plantilla de su aplicación móvil</li>
                    <li class="texto_info">Elija de entre los siguientes diseños, la plantilla con la que desee que se muestre su aplicación móvil. Recuerde que una vez haya aceptado el diseño en el paso 4, se cerrará la opción de elegir una plantilla para su aplicación.<br><br>Por defecto, a todas las aplicaciones se les asigna la plantilla de nombre <span>&laquo;gris&raquo;</span>.</li>
                </ul>
                
                <ul id="lista_plantillas" class="lista_raw">
                	<?php
						while($lista_plantillas = mysql_fetch_array($resultado, MYSQL_ASSOC))
						{
							if($lista_plantillas['idplantilla'] == $fila_datos['idplantilla'])
							{
								echo("<li class='plantilla_seleccionada' onClick='selecciona_plantilla(".$lista_plantillas['idplantilla'].")' id=".$lista_plantillas['idplantilla']."><p><img src='../../biblioteca/plantillas/".$lista_plantillas['nombre'].".png' alt='plantilla'></p><p>".$lista_plantillas['nombre']."</p></li>");	
							}
							else
							{
								echo("<li onClick='selecciona_plantilla(".$lista_plantillas['idplantilla'].")' id=".$lista_plantillas['idplantilla']."><p><img src='../../biblioteca/plantillas/".$lista_plantillas['nombre'].".png' alt='plantilla'></p><p>".$lista_plantillas['nombre']."</p></li>");	
							}
						}
					?>
                </ul>
            </section>
            <?php }else{ ?>
            <section id="web_app_plantilla">
            	<ul class="encabezado_apartado">
                	<li class="encabezado_apartado_titulo">1. Plantilla de su aplicación móvil</li>
                    <li class="texto_info">Su aplicación móvil muestra actualmente el diseño de plantilla que aparece a continuación. Si desea cambiarlo, deberá ponerse en contacto con la <a href="muestra_datos_empresa.php#administrador">administración del sistema</a>, para la reactivación del aplicativo.</li>
                </ul>
                
                <ul id="lista_plantilla_activa" class="lista_raw">
                	<li><?php echo("<img src='../../biblioteca/plantillas/".$dato_plantilla['nombre'].".png' alt='plantilla'>"); ?></li>
                    <li>Dise&ntilde;o actual de<br>su aplicaci&oacute;n m&oacute;vil</li>
                </ul>
            </section>
			<?php } ?>
            
            <section id="web_app_qr">
              <ul class="encabezado_apartado">
                  <li class="encabezado_apartado_titulo">2. Descarga e impresión de su código QR</li>
                <li class="texto_info">El código QR que se muestra abajo, enlaza con la tienda de aplicaciones de Apple y Google Android. Descárguelo para imprimirlo en su publicidad. De esta forma, quienes estén interesados en sus productos podrán acceder a descargar su aplicación, sin necesidad de navegar para encontrarla.</li>
              </ul>
              
              <ul class="lista_raw" id="lista_elementos_qr">
                  <li><?php echo("<img src='../../biblioteca/qr/".$_SESSION['id_empresa'].".png' width='118' height='118' alt='qr'>"); ?></li>
                  <li>
                    <p id="linea_boton_qr"><input id="boton_descargar_qr" type="button" value="descargar" class="boton" onClick="descarga_qr('<?php echo($_SESSION['id_empresa']); ?>')"></p>
                    <p id="linea_espera_mensaje_qr" class="linea_boton_p">Un momento por favor ...</p>
                  </li>
              </ul>
          </section>
            
          <section id="web_app_logotipo">
              <ul class="encabezado_apartado">
                  <li class="encabezado_apartado_titulo">3. Gestión del logotipo de su empresa</li>
                  <li class="texto_info">Seleccione el logotipo de su empresa tal y como desee que aparezca en su aplicación móvil. Haga clic en el botón para añadir la imagen a los datos de su empresa.<br><br>La imagen deberá estar en formato <span>&laquo;png&raquo;</span> y no podrá ser superior a 500KB ni medir más de 500 píxeles de ancho.</li>
              </ul>
              
              <ul id="lista_elementos_logotipo" class="lista_raw">
                <li><?php echo("<img src='../../biblioteca/logotipos/".$fila_datos['logo'].".png' height='80' alt='logotipo'>"); ?></li>
                  <li>
                    <form id="form_logotipo" enctype="multipart/form-data" method="post" action="../controlador/realiza_sube_logo.php">
                      <input type="hidden" name="MAX_FILE_SIZE" value="512000" />
                      <input type="hidden" name="logo_actual" value="<?php echo($fila_datos['logo']); ?>" />
                      <p><input type="file" id="nombre_logo" name="nombre_logo"></p>
                      <p id="linea_boton_logotipo" class="linea_boton"><input id="boton_cargar_logo" type="submit" value="añadir logotipo" class="boton"></p>
                      <p id="linea_espera_mensaje_logotipo" class="linea_boton_p">Un momento por favor ...</p>
                    </form>
                  </li>
              </ul>
          </section>
            
          <?php if(!$fila_datos['app']){?>
          <section id="web_app_activacion">
              <ul class="encabezado_apartado">
                  <li class="encabezado_apartado_titulo">4. Activación de la aplicación</li>
                  <li class="texto_info">Su aplicación aún permanece sin activar. Si ya eligió un diseño de plantilla, haga clic en el botón para su activación. Procederemos de inmediato a crear su aplicación y publicarla en las stores de Apple y Google Android. </li>
              </ul>
              <p id="linea_boton_activacion" class="linea_boton"><input id="boton_activar" type="button" value="activar la aplicación" class="boton_rojo"></p>
              <p id="linea_espera_mensaje_activacion" class="linea_boton_p">Un momento por favor ...</p>
          </section>
          <?php }else{ ?>
          <section id="web_app_activacion">
              <ul class="encabezado_apartado">
                  <li class="encabezado_apartado_titulo">4. Activación de la aplicación</li>
                  <li class="texto_info">Si desea reactivar el proceso de creación de una nueva aplicación, póngase en contacto con la <a href="muestra_datos_empresa.php#administrador">administración del sistema</a>. Recuerde que será necesario volver a solicitar su publicación en las stores de Apple y Google Android. </li>
              </ul>
              <p class="linea_boton"><span id="aviso_app_activada">SU APLICACI&Oacute;N YA SE ENCUENTRA ACTIVA</span></p>
          </section>
          <?php } ?> 
        </div>
      </div>
    </div>
</section>
<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
