// JavaScript Document

//declaramos una variable que recoger el valor de la ruta del servidor remoto
//var ruta = "http://localhost/tfg/";
var ruta = "http://multimedia.uoc.edu/~olmo/";

//declaramos el id de la empresa
var id_empresa;


//detectamos que JQuery Mobile ya est preparado
$(document).bind("mobileinit",inicializa_jqm);

function inicializa_jqm()
{
	//configuracin en espaol de los mensajes de error de JQueryMobile
	$.mobile.loadingMessage = "Cargando ...";
	$.mobile.pageLoadErrorMessage = "Error cargando la seccin";
}


//asignamos cdigo a los botones de la aplicacin
window.onload = function()
{
	cargaDatos();
	
	if (document.getElementById("boton_href_inicio"))
	{
		var boton_href_inicio = document.getElementById("boton_href_inicio");
		boton_href_inicio.onclick = function()
		{
			location.href = "#inicio";
		}
	}
}	


//Crea un objeto AJAX
function creaAjax()
{	
	var cargador = new XMLHttpRequest();
	return cargador;
}


//cdigo de carga inicial de los datos de la empresa
function cargaDatos()
{	
	var cargador = creaAjax();
	
	if (cargador)
	{
		// Llamar a la funcion de respuesta
		cargador.onreadystatechange = cargaDatos;
		
		// Realizar peticion HTTP			
		cargador.open("GET", "startup.xml", true);
		cargador.send(null);
	}	
	
	function cargaDatos()
	{
		if(cargador.readyState == 4)
		{		
			if (cargador.status == 200)
			{
				var cadenaRespuesta = cargador.responseXML;
				
				id_empresa = cadenaRespuesta.getElementsByTagName('idempresa')[0].childNodes[0].nodeValue;
				var nombre_empresa = cadenaRespuesta.getElementsByTagName('nombreempresa')[0].childNodes[0].nodeValue;
				var plantilla = cadenaRespuesta.getElementsByTagName('plantilla')[0].childNodes[0].nodeValue;
				
				document.getElementById("css_base").href = "estilos_" + plantilla + ".css";
				
				var titulos = document.getElementsByClassName("nombre_empresa");
				for (i=0; i<titulos.length; i++)
				{
					titulos[i].innerHTML = nombre_empresa;
				}
				
				cargaDatosServidor(id_empresa);
			}
			else if (cargador.status == 404)
			{
				alert("ERROR EN SU CONSULTA");
			}
		}
	}
}

function cargaDatosServidor(id_empresa)
{
	var cargador = creaAjax();
	
	if (cargador)
	{
		var query_string = "id_empresa=" + id_empresa; 
		
		// Llamar a la funcion de respuesta
		cargador.onreadystatechange = cargaDatos;
		
		// Realizar peticion HTTP			
		cargador.open("POST", ruta + "app_movil/controlador/muestra_datos_empresa.php", true);
		cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		cargador.send(query_string);
	}	
	
	function cargaDatos()
	{
		if(cargador.readyState == 4)
		{		
			if (cargador.status == 200)
			{
				var cadenaRespuesta = cargador.responseText;
				
				//gestionamos los datos recibidos del servidor y los colocamos en sus lugares dentro del documento html
				var lista_datos = cadenaRespuesta.split('#');
				
				/*** 1. GESTION DEL LOGO ***/
				var img_logo = new Image();
				img_logo.src = ruta + "biblioteca/logotipos/" + lista_datos[2] + ".png";
				
				var logos = document.getElementsByClassName("logo_empresa");
				for (i=0; i<logos.length; i++)
				{
					logos[i].innerHTML = "<img src=" + unescape(img_logo.src) + " alt='logo'>";
				}
				
				/*** 2. GESTION DE LA INFORMACION DE LA EMPRESA ***/
				document.getElementById("info_empresa").innerHTML = lista_datos[3];
				
				
				/*** 3. GESTION DE LOS DATOS DE UBICACION ***/
				var datos_ubicacion = document.getElementsByClassName("dato");
				for (i=0; i<datos_ubicacion.length; i++)
				{
					datos_ubicacion[i].innerHTML = lista_datos[datos_ubicacion[i].id];
				}
				
				document.getElementById("iframe_maps").innerHTML = "<iframe width='425' height='350' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='"+ unescape(lista_datos[12]) +"&amp;output=embed'></iframe>";
				
				/*** 4. GESTION DE LA INFORMACION DE CONTACTO ***/
				document.getElementById("menu_contacto_telefono").innerHTML = "<a href=tel:" + lista_datos[5] + ">tel&eacute;fono</a>";
				document.getElementById("menu_contacto_movil").innerHTML = "<a href=tel:" + lista_datos[6] + ">m&oacute;vil</a>";
				document.getElementById("menu_contacto_email").innerHTML = "<a href=mailto:" + lista_datos[0] + ">email</a>";
				document.getElementById("menu_contacto_facebook").innerHTML = "<a href=" + lista_datos[11] + " target='_blank'>facebook</a>";
				
				
				//finalmente, activamos el botn de comenzar
				document.getElementById("bloque_cargando_texto").innerHTML = "datos cargados<br /><br />pulse el bot&oacute;n para continuar";
				document.getElementById("ajax_loader").style.display = "none";
				document.getElementById("parrafo_boton").style.display = "block";
			}
			else if (cargador.status == 404)
			{
				alert("ERROR EN SU CONSULTA");
			}
		}
	}	
}



//cdigo que solicita el listado de productos de la empresa
function lista_novedades()
{
	var cargador = creaAjax();
	
	if (cargador)
	{
		var query_string = "id_empresa=" + id_empresa;
		
		// Llamar a la funcion de respuesta
		cargador.onreadystatechange = cargaDatos;
		
		// Realizar peticion HTTP			
		cargador.open("POST", ruta + "app_movil/controlador/muestra_novedades_empresa.php", true);
		cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		cargador.send(query_string);
	}	
	
	function cargaDatos()
	{
		if(cargador.readyState == 4)
		{		
			if (cargador.status == 200)
			{
				var cadenaRespuesta = cargador.responseText;
				
				document.getElementById("bloque_listado").innerHTML = cadenaRespuesta;
				location.href = "#novedades";
			}
			else if (cargador.status == 404)
			{
				alert("ERROR EN SU CONSULTA");
			}
		}
	}	
}



//cdigo que muestra el detalle de un producto
function info_producto(id_producto)
{
	window.sessionStorage.clear();
	
	var cargador = creaAjax();
	
	if (cargador)
	{
		var query_string = "id_producto=" + id_producto;
		
		// Llamar a la funcion de respuesta
		cargador.onreadystatechange = cargaDatos;
		
		// Realizar peticion HTTP			
		cargador.open("POST", ruta + "app_movil/controlador/muestra_detalle_novedad.php", true);
		cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		cargador.send(query_string);
	}	
	
	function cargaDatos()
	{
		if(cargador.readyState == 4)
		{		
			if (cargador.status == 200)
			{
				var cadenaRespuesta = cargador.responseText;
				
				var info_producto = cadenaRespuesta.split("&&&");
				var datos_info_producto = info_producto[0].split("#");
				
				var nombre_primera_foto;
				var pie_primera_foto;
				if(info_producto[1] == "no")
				{
					nombre_primera_foto = "no";
					pie_primera_foto = "";
					
					document.getElementById("menu_opciones_producto_anterior").style.visibility = "hidden";
					document.getElementById("menu_opciones_producto_siguiente").style.visibility = "hidden";
				}
				else
				{
					var fotos_info_producto = info_producto[1].split("#");
					if(fotos_info_producto.length > 1)
					{
						document.getElementById("menu_opciones_producto_anterior").style.visibility = "visible";
						document.getElementById("menu_opciones_producto_siguiente").style.visibility = "visible";
						
						window.sessionStorage.setItem("foto_actual",0);
						window.sessionStorage.setItem("numero_de_fotos",fotos_info_producto.length);	
					}
					else
					{
						document.getElementById("menu_opciones_producto_anterior").style.visibility = "hidden";
						document.getElementById("menu_opciones_producto_siguiente").style.visibility = "hidden";	
					}
					
					var datos_foto = Array();
					for(i=0; i<fotos_info_producto.length; i++)
					{
						datos_foto = fotos_info_producto[i].split("@@");
						window.sessionStorage.setItem("nombre_foto_"+i,datos_foto[0]);
						window.sessionStorage.setItem("pie_foto_"+i,datos_foto[1]);	
					}
					
					nombre_primera_foto = window.sessionStorage.getItem("nombre_foto_0");
					pie_primera_foto = window.sessionStorage.getItem("pie_foto_0");
				}	

				document.getElementById("contenedor_foto").innerHTML = "<p><img id='foto_producto' src="+ ruta +"biblioteca/fotos/"+ nombre_primera_foto +".jpg width='220' height='293'></p><p>"+ datos_info_producto[0] +" <span>"+ datos_info_producto[2] +" &#8364;</span></p><p id='pie_foto'>"+ unescape(pie_primera_foto) +"</p>";
				document.getElementById("descripcion_producto").innerHTML = unescape(datos_info_producto[1]);
				
				location.href = "#detalle_producto";
			}
			else if (cargador.status == 404)
			{
				alert("ERROR EN SU CONSULTA");
			}
		}
	}
}


//cdigo para cambiar las fotos de las galeras
function cambia_foto(orden)
{
	if(window.sessionStorage.getItem("numero_de_fotos"))
	{
		var n_fotos = parseInt(window.sessionStorage.getItem("numero_de_fotos"));
		var orden_fotos = parseInt(window.sessionStorage.getItem("foto_actual"));
		  
		if(orden)
		{
			if(orden_fotos < n_fotos-1)
			{
				orden_fotos += 1;	
			}	
		}
		else
		{
			if(orden_fotos > 0)
			{
				orden_fotos -= 1;	
			}	
		}
		window.sessionStorage.setItem("foto_actual",orden_fotos);
		
		document.getElementById("foto_producto").src = ruta +"biblioteca/fotos/"+ window.sessionStorage.getItem("nombre_foto_" + orden_fotos) +".jpg";
		document.getElementById("pie_foto").innerHTML = unescape(window.sessionStorage.getItem("pie_foto_" + orden_fotos));
	}	
}