<?php
require_once("conexion_db.php");

//Esta clase gestiona las operaciones de las empresas clientes del sistema
class Empresa
{	
  	/***********************  GESTION DE LOS DATOS DE LA EMPRESA  ******************************/
	//acceso de las empresas
	public function identificacion($email,$clave)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT idempresa,estado FROM empresa WHERE clave='".$clave."' AND email='".$email."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}
	}
	
	//muestra los datos de la empresa
	public function muestra_datos($idempresa)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT empresa.nombre,empresa.email,dataempresa.* FROM empresa JOIN dataempresa USING(idempresa) WHERE idempresa='".$idempresa."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//actualiza los datos de la empresa
	public function edita_datos($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "UPDATE dataempresa SET nif='".mysql_real_escape_string(htmlentities($datos[0],ENT_QUOTES))."',telefono='".mysql_real_escape_string(htmlentities($datos[1],ENT_QUOTES))."',movil='".mysql_real_escape_string(htmlentities($datos[2],ENT_QUOTES))."',direccion='".mysql_real_escape_string(htmlentities($datos[3],ENT_QUOTES))."',poblacion='".mysql_real_escape_string(htmlentities($datos[4],ENT_QUOTES))."',cp='".mysql_real_escape_string(htmlentities($datos[5],ENT_QUOTES))."',provincia='".mysql_real_escape_string(htmlentities($datos[6],ENT_QUOTES))."',googlemaps='".mysql_real_escape_string(htmlentities($datos[7],ENT_QUOTES))."',facebook='".mysql_real_escape_string(htmlentities($datos[8],ENT_QUOTES))."',descripcion='".mysql_real_escape_string(htmlentities($datos[9],ENT_QUOTES))."' WHERE dataempresa.idempresa='".$_SESSION['id_empresa']."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//enva un correo al administrador
	public function envia_email($datos)
	{
		$headers = "From: ".$datos['nombre']."<".$datos['email'].">\r\n";
		$resultado = mail("desarrollo@afosoft.com","Mensaje al administrador",$datos['mensaje'],$headers);
		
		return($resultado);
	}
	
	
	/***********************  GESTION DEL DISEO DE LA WEB APP  ******************************/
	//muestra los datos de la web app
	public function muestra_web_app($idempresa)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT A.nombre,A.app,A.idplantilla,B.logo FROM empresa A JOIN dataempresa B USING(idempresa) WHERE idempresa='".$idempresa."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//muestra la lista de plantillas disponibles para la web app
	public function lista_plantillas()
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT idplantilla,nombre FROM plantilla";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//selecciona la plantilla actual de la web app
	public function lista_plantilla_actual($plantilla)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT nombre FROM plantilla WHERE idplantilla='".$plantilla."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//guarda la plantilla elegida y activa la web app
	public function guarda_plantilla($plantilla,$nombre)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "UPDATE empresa SET app=1,idplantilla='".$plantilla."' WHERE idempresa='".$_SESSION['id_empresa']."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if ($mi_resultado)
			{
				$fichero = fopen("../../empresas/".$_SESSION['id_empresa']."/startup.xml","w+");
				$contenido_fichero =
				"<?xml version='1.0' encoding='UTF-8' ?>\n".
				"<datos>\n".
					"<idempresa>".$_SESSION['id_empresa']."</idempresa>\n".
					"<nombreempresa>".utf8_encode($nombre)."</nombreempresa>\n".
					"<plantilla>".$plantilla."</plantilla>\n".
				 "</datos>";
				
				fwrite($fichero,$contenido_fichero);
				fclose($fichero);
			
				return($mi_resultado);		
			}
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//sube el logotipo de la empresa al servidor
	public function sube_logo($imagen,$width)
	{
		$mi_resultado;
		
		if (is_uploaded_file($_FILES[$imagen]['tmp_name']))
		{
			if ($_FILES[$imagen]['type'] == "image/png")	
			{
				if ($_FILES[$imagen]['size'] <= $_POST['MAX_FILE_SIZE'])
				{
					$datos_imagen = GetImageSize($_FILES[$imagen]['tmp_name']);
					if($datos_imagen[0] <= $width)
					{
						$nombre_final_imagen = time();
						
						if (move_uploaded_file($_FILES[$imagen]['tmp_name'],"../../biblioteca/logotipos/".$nombre_final_imagen.".png"))
						{
							if($_POST['logo_actual'] != "no")
							{
							  unlink("../../biblioteca/logotipos/".$_POST['logo_actual'].".png");
							}
							
							try
							{
								$mi_conexion = new ConexionDB();
								$mi_conexion->conectar_db();
								
								$cadena = "UPDATE dataempresa SET logo='".$nombre_final_imagen."' WHERE dataempresa.idempresa='".$_SESSION['id_empresa']."'";
								$mi_resultado = $mi_conexion->realizar_query_db($cadena);
								
								if ($mi_resultado)
								{
									$mi_resultado = "La foto se subi correctamente al servidor";	
								}
							}
							catch(Exception $e)
							{
								echo($e->getMessage());
							}
						}
						else
						{
							$mi_resultado = "Ocurri un error al grabar la imagen en servidor";
						}
					}
					else
					{
						$mi_resultado = "El logo no puede exceder los 500px de ancho";	
					}
				}
				else
				{
					$mi_resultado = "El logo no puede exceder de ".$_POST['MAX_FILE_SIZE']. "KB";	
				}
			}
			else
			{
				$mi_resultado = "El formato del logo ha de ser PNG";	
			}
		}
		else
		{
			$mi_resultado = "Error al cargar la imagen";		
		}
		
		return($mi_resultado);
	}
	
	
	/***********************  GESTION DEL CATLOGO DE PRODUCTOS O NOVEDADES  ******************************/
	//muestra la lista de productos de la empresa
	public function listar_novedades()
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT idproducto,nombre,precio FROM producto WHERE idempresa='".$_SESSION['id_empresa']."' ORDER BY nombre";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//muestra las fotos de la lista de productos de la empresa
	public function listar_fotos_novedades()
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT idproducto,nombre FROM foto GROUP BY idproducto";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
			
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//crea un nuevo producto de la empresa
	public function alta_novedad($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$id_producto = substr($datos['nombre_producto'], 0, 3).time();
			$cadena = "INSERT INTO producto (idproducto,idempresa,nombre,descripcion,precio) VALUES ('".$id_producto."','".$_SESSION['id_empresa']."','".mysql_real_escape_string(htmlentities($datos['nombre_producto'],ENT_QUOTES))."','".mysql_real_escape_string(htmlentities($datos['descripcion'],ENT_QUOTES))."','".$datos['precio']."')";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado);	
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//muestra la informacin de un producto para ser editada
	public function editar_novedades($idproducto)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT nombre,descripcion,precio FROM producto WHERE idproducto='".$idproducto."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//actualiza los datos de un producto
	public function realizar_edicion_novedades($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "UPDATE producto SET nombre='".mysql_real_escape_string(htmlentities($datos['nombre_producto'],ENT_QUOTES))."',precio=".$datos['precio'].",descripcion='".mysql_real_escape_string(htmlentities($datos['descripcion'],ENT_QUOTES))."' WHERE idproducto='".$datos['idproducto']."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//elimina un producto
	public function realizar_borrado_novedades($idproducto)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "DELETE FROM producto WHERE idproducto='".$idproducto."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//elimina las fotos de un producto para borrar ese producto
	public function realizar_borrado_fotos_novedades($idproducto)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT nombre FROM foto WHERE idproducto='".$idproducto."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			if(mysql_num_rows($mi_resultado) !=0)
			{
				while($fila = mysql_fetch_array($mi_resultado))
				{
					unlink("../../biblioteca/fotos/".$fila['nombre'].".jpg");
				}	
			}
			
			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
}
?>