<?php
require_once("conexion_db.php");

//Esta clase gestiona las operaciones de las galeras de fotos de los productos de una empresa
class Producto
{	
	/***********************  GESTION DE LAS GALERAS DE FOTOS DE NOVEDADES  ******************************/
	//sube una foto de producto al servidor
	public function subir_foto($datos,$imagen,$width)
	{
		$mi_resultado;
		
		if (is_uploaded_file($_FILES[$imagen]['tmp_name']))
		{
			if ($_FILES[$imagen]['type'] == "image/jpeg" || $_FILES[$imagen]['type'] == "image/pjpeg")	
			{
				if ($_FILES[$imagen]['size'] <= $_POST['MAX_FILE_SIZE'])
				{
					$datos_imagen = GetImageSize($_FILES[$imagen]['tmp_name']);
					if($datos_imagen[0] <= $width)
					{
						$nombre_final_imagen = "ft_".time();
						
						if (move_uploaded_file($_FILES[$imagen]['tmp_name'],"../../biblioteca/fotos/".$nombre_final_imagen.".jpg"))
						{	
							try
							{
								$mi_conexion = new ConexionDB();
								$mi_conexion->conectar_db();
								
								$idfoto = time();
								$cadena = "INSERT INTO foto (idfoto,idproducto,nombre,pie) VALUES ('".$idfoto."','".$datos['idproducto']."','".$nombre_final_imagen."','".mysql_real_escape_string(htmlentities($datos['comentario'],ENT_QUOTES))."')";
								$mi_resultado = $mi_conexion->realizar_query_db($cadena);
								
								if ($mi_resultado)
								{
									$mi_resultado = "La foto se ha subido correctamente al servidor";	
								}
							}
							catch(Exception $e)
							{
								echo($e->getMessage());
							}
						}
						else
						{
							$mi_resultado = "Ha ocurrido un error al grabar la imagen en servidor";
						}
					}
					else
					{
						$mi_resultado = "La foto no puede exceder los 412px de ancho";	
					}
				}
				else
				{
					$mi_resultado = "La foto no puede exceder de ".$_POST['MAX_FILE_SIZE']. "KB";	
				}
			}
			else
			{
				$mi_resultado = "El formato de la foto ha de ser JPG";	
			}
		}
		else
		{
			$mi_resultado = "Error al cargar la imagen";		
		}
		
		return($mi_resultado);
	}
	
	//muestra la galera de fotos de un producto
	public function listar_fotos_novedad($idproducto)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT idfoto,nombre FROM foto WHERE idproducto='".$idproducto."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//muestra la informacin de una foto de la galera
	public function realizar_muestra_info_foto($idfoto)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT nombre,pie FROM foto WHERE idfoto='".$idfoto."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			if(mysql_num_rows($mi_resultado) !=0)
			{
				return($mi_resultado);
			}
			else
			{
				return(false);	
			}	
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//actualiza la informacin de una foto de la galera
	public function realizar_edicion_foto($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "UPDATE foto SET pie='".mysql_real_escape_string(htmlentities($datos['comentario_foto_edicion'],ENT_QUOTES))."' WHERE idfoto='".$datos['idfoto']."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//borra una foto de la galera
	public function realizar_borrado_foto($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "DELETE FROM foto WHERE idfoto='".$datos['idfoto']."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			unlink("../../biblioteca/fotos/".$datos['nombre'].".jpg");

			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
}
?>