<?php
require_once("conexion_db.php");

//Esta clase gestiona las operaciones del administrador sobre la BD
class Sistema
{	
  	//acceso del administrador
	public function identificacion($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			$mi_resultado = $mi_conexion->realizar_query_db("SELECT idadministrador FROM administrador WHERE idadministrador='".md5($datos)."'");

			if(mysql_num_rows($mi_resultado)!= 0)
			{
				return(true);
			}
			else
			{
				return(false);	
			}
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}
	}
	
	//alta de un nueva empresa
	public function alta_empresa($nombre,$email)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$id_empresa = "id".strrev(time());
			$fecha = getdate();
			$cadena_fecha = $fecha["mday"]."/".$fecha["mon"]."/".$fecha["year"];
			$clave = substr($nombre, 0, 3).$fecha["hours"].$fecha["minutes"].$fecha["seconds"];
			
			$cadena = "INSERT INTO empresa (idempresa,idplantilla,fecha,nombre,email,clave) VALUES ('".$id_empresa."','1','".$cadena_fecha."','".mysql_real_escape_string(htmlentities($nombre,ENT_QUOTES))."','".mysql_real_escape_string(htmlentities($email,ENT_QUOTES))."','".mysql_real_escape_string(htmlentities($clave,ENT_QUOTES))."')";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);
			
			$antigua = umask(0);
			if(mkdir("../../empresas/".$id_empresa,0777))
			{
				umask($antigua);
				
				/********************GENERAMOS EL QR*************************/
				//indicamos la ruta donde se grabarn los cdigos png
				$PNG_DIR = "../../biblioteca/qr/";
			   
				include "phpqrcode/qrlib.php";   
				

				//indicamos la calidad de la imagen qr a generar
				$errorCorrectionLevel = 'M';//'H';    
			   
				//indicamos la resolucin de los puntos del qr
				$matrixPointSize = 7;//10;
			   				
			   //indicamos la URL a donde apuntar el cdigo qr, que ser la ubicacin de la apk Android de 'nombre = catalogoapp.apk'
			   //$data = "http://localhost/tfg/empresas/".$id_empresa."/catalogoapp.apk";
			   $data = "http://multimedia.uoc.edu/~olmo/empresas/".$id_empresa."/catalogoapp.apk";
				
			   //finalmente, llamamos a la funcin 'png' de la clase QRcode y le pasamos los parmetros
			   //de 'destino','nombre del png','calidad','resolucin'
			   $filename = $PNG_DIR.$id_empresa.'.png';
			   QRcode::png($data, $filename, $errorCorrectionLevel, $matrixPointSize, 2);    
			  
			  return($id_empresa);
			}	
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//anotacin de la nueva empresa en la tabla dataempresa
	public function alta_dataempresa($id_empresa)
	{		
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "INSERT INTO dataempresa (idempresa) VALUES ('".$id_empresa."')";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado); 		
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//baja de una empresa
	public function borra_empresa($id_empresa)
	{
		try
		{
			/*primero miramos si la carpeta de la empresa est vaca*/
			if (@$dir = opendir("../../empresas/".$id_empresa))
			{
				$numero_ficheros = 0;
				while($ficheros = readdir($dir))
				{
					if (!is_dir($ficheros)){
						$numero_ficheros++;
					}
				}
				
				if($numero_ficheros > 0)
				{
					$respuesta = "la empresa ya ha activado su app";	
				}
				/*segundo miramos si la empresa ya dio de alta productos*/
				else
				{
					$mi_conexion = new ConexionDB();
					$mi_conexion->conectar_db();
					
					$cadena = "SELECT idproducto FROM producto WHERE idempresa='".$id_empresa."'";
					$mi_resultado = $mi_conexion->realizar_query_db($cadena);
					
					if (mysql_num_rows($mi_resultado) > 0)
					{
						$respuesta = "ya existen productos de la empresa";
					}
					/*finalmente borramos su carpeta de empresa y su cdigo QR*/
					else
					{
						rmdir("../../empresas/".$id_empresa);
						unlink("../../biblioteca/qr/".$id_empresa.".png");
						
						$mi_conexion_2 = new ConexionDB();
						$mi_conexion_2->conectar_db();
						
						$cadena = "DELETE FROM empresa WHERE idempresa='".$id_empresa."'";
						$mi_resultado_2 = $mi_conexion_2->realizar_query_db($cadena);
						
						$respuesta = "true";	
					}	
				}
			}
			else
			{
				$respuesta = "no se ha encontrado; la carpeta de la empresa";	
			}
			return($respuesta);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//edicin de una empresa
	public function edicion_empresa($datos)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT nombre,fecha,email,clave,app,estado FROM empresa WHERE idempresa='".$datos."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//modificacin de una empresa
	public function modificacion_empresa($idempresa,$nombre,$email,$estado_cliente)
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "UPDATE empresa SET nombre='".mysql_real_escape_string(htmlentities($nombre,ENT_QUOTES))."',email='".mysql_real_escape_string(htmlentities($email,ENT_QUOTES))."',estado=".$estado_cliente." WHERE idempresa='".$idempresa."'";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
	
	//listado de empresas
	public function listado_empresas()
	{
		try
		{
			$mi_conexion = new ConexionDB();
			$mi_conexion->conectar_db();
			
			$cadena = "SELECT idempresa,nombre,fecha,app FROM empresa ORDER BY nombre";
			$mi_resultado = $mi_conexion->realizar_query_db($cadena);

			return($mi_resultado);
		}
		catch(Exception $e)
		{
			echo($e->getMessage());
		}	
	}
}
?>