-- MySQL dump 10.13  Distrib 5.5.9, for Win32 (x86)
--
-- Host: localhost    Database: olmo
-- ------------------------------------------------------
-- Server version	5.0.51b-community-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Current Database: `olmo`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `olmo` /*!40100 DEFAULT CHARACTER SET latin1 COLLATE latin1_spanish_ci */;

USE `olmo`;

--
-- Table structure for table `administrador`
--

DROP TABLE IF EXISTS `administrador`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `administrador` (
  `idadministrador` varchar(40) collate latin1_spanish_ci NOT NULL,
  PRIMARY KEY  (`idadministrador`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='	';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `administrador`
--

LOCK TABLES `administrador` WRITE;
/*!40000 ALTER TABLE `administrador` DISABLE KEYS */;
INSERT INTO `administrador` VALUES ('e91a3ec6dfcf74a5dbc9248812fb5e22');
/*!40000 ALTER TABLE `administrador` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dataempresa`
--

DROP TABLE IF EXISTS `dataempresa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataempresa` (
  `idempresa` varchar(40) collate latin1_spanish_ci NOT NULL,
  `logo` varchar(45) collate latin1_spanish_ci default 'no',
  `descripcion` text collate latin1_spanish_ci,
  `nif` varchar(12) collate latin1_spanish_ci default '---',
  `telefono` varchar(12) collate latin1_spanish_ci default '---',
  `movil` varchar(12) collate latin1_spanish_ci default '---',
  `direccion` varchar(45) collate latin1_spanish_ci default '---',
  `poblacion` varchar(45) collate latin1_spanish_ci default '---',
  `cp` mediumint(5) default '0',
  `provincia` varchar(45) collate latin1_spanish_ci default '---',
  `facebook` varchar(45) collate latin1_spanish_ci default '---',
  `googlemaps` tinytext collate latin1_spanish_ci,
  PRIMARY KEY  (`idempresa`),
  CONSTRAINT `fk_idempresa` FOREIGN KEY (`idempresa`) REFERENCES `empresa` (`idempresa`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dataempresa`
--

LOCK TABLES `dataempresa` WRITE;
/*!40000 ALTER TABLE `dataempresa` DISABLE KEYS */;
INSERT INTO `dataempresa` VALUES ('id1260090731','no',NULL,'---','---','---','---','---',0,'---','---',NULL),('id3040470731','1370741775','Vivamus libero metus, cursus at lobortis vitae, adipiscing vitae orci. Curabitur vitae suscipit quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed congue dui nec est accumsan, ac sodales velit ultricies. Nunc nunc lorem, condimentum nec massa sed, adipiscing consequat lacus. Fusce ac bibendum neque. Praesent feugiat risus id nulla posuere, vitae porta lectus volutpat. Sed auctor a ligula non ultricies. Quisque vitae pretium erat, ut rutrum nibh. Maecenas commodo arcu vel eleifend congue. In egestas imperdiet felis adipiscing porta. Vestibulum ornare justo erat, vitae lacinia mauris scelerisque sit amet. Nulla luctus dui nec nunc tincidunt suscipit. Nullam velit massa, euismod nec lectus ut, tristique vestibulum dui. Nam gravida commodo risus quis dignissim. Cras eget augue erat.','B14502521','957888222','644000215','Plaza de las tres culturas','C&oacute;rdoba',14911,'C&oacute;rdoba (provincia)','https://es-es.facebook.com/','http://goo.gl/maps/Aw8IR'),('id5740470731','no',NULL,'---','---','---','---','---',0,'---','---','---');
/*!40000 ALTER TABLE `dataempresa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `empresa`
--

DROP TABLE IF EXISTS `empresa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `empresa` (
  `idempresa` varchar(40) collate latin1_spanish_ci NOT NULL,
  `idplantilla` varchar(40) collate latin1_spanish_ci NOT NULL,
  `fecha` varchar(10) collate latin1_spanish_ci NOT NULL,
  `nombre` varchar(45) collate latin1_spanish_ci NOT NULL,
  `email` varchar(45) collate latin1_spanish_ci NOT NULL,
  `clave` varchar(45) collate latin1_spanish_ci NOT NULL,
  `estado` tinyint(1) NOT NULL default '1',
  `app` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`idempresa`),
  KEY `fk_idplantilla` (`idplantilla`),
  CONSTRAINT `fk_idplantilla` FOREIGN KEY (`idplantilla`) REFERENCES `plantilla` (`idplantilla`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `empresa`
--

LOCK TABLES `empresa` WRITE;
/*!40000 ALTER TABLE `empresa` DISABLE KEYS */;
INSERT INTO `empresa` VALUES ('id1260090731','1','10/6/2013','Cristasol artesanos S.C.A.','cristasol@yahoo.com','Cri174341',1,0),('id3040470731','5','8/6/2013','Artesanos de la madera de olivo S.C.A.','arteolivo@hotmail.com','Art211323',1,1),('id5740470731','1','8/6/2013','Cer&aacute;mica r&uacute;stica del Sur','ceramisur@yahoo.es','Cer211435',0,0);
/*!40000 ALTER TABLE `empresa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `foto`
--

DROP TABLE IF EXISTS `foto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `foto` (
  `idfoto` varchar(40) collate latin1_spanish_ci NOT NULL,
  `idproducto` varchar(40) collate latin1_spanish_ci NOT NULL,
  `nombre` varchar(45) collate latin1_spanish_ci NOT NULL,
  `pie` tinyblob,
  PRIMARY KEY  (`idfoto`),
  KEY `idproducto` (`idproducto`),
  CONSTRAINT `idproducto` FOREIGN KEY (`idproducto`) REFERENCES `producto` (`idproducto`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `foto`
--

LOCK TABLES `foto` WRITE;
/*!40000 ALTER TABLE `foto` DISABLE KEYS */;
INSERT INTO `foto` VALUES ('1370742110','Sil1370742053','ft_1370742110','Silla%20modelo%20dos%20tablillas%20cl%E1sica%20espa%F1ola'),('1370742263','Sil1370742053','ft_1370742263','Silla%20de%20olivo%20de%20tres%20tablillas'),('1370742325','Sil1370742223','ft_1370742325','Sill%F3n%20de%20madera%20de%20olivo%20tradicional%20r%FAstico'),('1370742364','Sil1370742223','ft_1370742363','Sill%F3n%20r%FAstico%20de%20patas%20torneadas'),('1370743252','Sil1370743229','ft_1370743252','Silla%20costurera%20cl%E1sica'),('1370920220','Sil1370742223','ft_1370920220','Sill%F3n%20para%20parques');
/*!40000 ALTER TABLE `foto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `plantilla`
--

DROP TABLE IF EXISTS `plantilla`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plantilla` (
  `idplantilla` varchar(40) collate latin1_spanish_ci NOT NULL,
  `nombre` varchar(45) collate latin1_spanish_ci NOT NULL,
  `version` varchar(10) collate latin1_spanish_ci default NULL,
  PRIMARY KEY  (`idplantilla`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `plantilla`
--

LOCK TABLES `plantilla` WRITE;
/*!40000 ALTER TABLE `plantilla` DISABLE KEYS */;
INSERT INTO `plantilla` VALUES ('1','gris','1.0'),('2','azul','1.0'),('3','amarillo','1.0'),('4','morado','1.0'),('5','rojo','1.0'),('6','verde','1.0');
/*!40000 ALTER TABLE `plantilla` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `producto`
--

DROP TABLE IF EXISTS `producto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `producto` (
  `idproducto` varchar(40) collate latin1_spanish_ci NOT NULL,
  `idempresa` varchar(40) collate latin1_spanish_ci NOT NULL,
  `nombre` varchar(45) collate latin1_spanish_ci NOT NULL,
  `descripcion` tinyblob,
  `precio` float unsigned default NULL,
  PRIMARY KEY  (`idproducto`),
  KEY `idempresa` (`idempresa`),
  CONSTRAINT `idempresa` FOREIGN KEY (`idempresa`) REFERENCES `empresa` (`idempresa`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `producto`
--

LOCK TABLES `producto` WRITE;
/*!40000 ALTER TABLE `producto` DISABLE KEYS */;
INSERT INTO `producto` VALUES ('Sil1370742053','id3040470731','Silla cl&aacute;sica en madera de olivo','Silla con asiento de enea y patas torneadas. Existen con respaldar de dos y tres tablillas. Realizada completamente en madera de olivo y barnizada a mano.',65),('Sil1370742223','id3040470731','Sill&oacute;n r&uacute;stico cordob&eacute;s','Sill&oacute;n modelo r&uacute;stico, con asiento de enea. Tradicional andaluz, c&oacute;modo y robusto.',82.5),('Sil1370743229','id3040470731','Silla costurera','Silla cl&aacute;sica de dos tablillas y patas bajas. Antiguamente, usada por las se&ntilde;oras para la costura',35),('Sil1370743336','id3040470731','Sill&oacute;n moderno para patios','Sill&oacute;n estilo vanguardista. Sustituto del pl&aacute;stico, ideal para patios techados',75.5);
/*!40000 ALTER TABLE `producto` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-06-11 17:30:57
