<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/edicion.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/edicion.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de clientes</p>
</header>

<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<p id="titulo_seccion">Edición de cliente</p>
        <div id="contenedor_formulario">
            <nav>
              <ul id="menu" class="lista_raw">
                  <li id="menu_listado">Listado<br>de clientes</li>
                  <li id="menu_nuevo">Nuevo<br>cliente</li>
                  <li id="menu_salir">Salir de la<br>aplicaci&oacute;n</li>
              </ul>
              <br class="limpia_flota">
            </nav>
            <p id="texto_info">Para corregir el nombre del cliente o su cuenta email, realice los cambios sobre las cajas del formulario y finalmente, haga clic en el botón <span>«actualizar»</span><br><br>Si desea eliminar a este cliente, haga clic sobre el botón <span>«eliminar»</span>. Tenga en cuenta que si lo hace, borrará también  toda la información relacionada con el mismo, como sus datos, código QR y catálogo de productos.</p>
            <form id="form_edicion" action="../vistas/..." method="post">
           	  <ul class="lista_raw">
                <li>
                  <p><label for="nombre">Nombre del cliente</label></p>
                  <p><input class="form_acceso_input" id="nombre" name="nombre" type="text" value="<?php echo $matriz_datos['nombre'] ?>"></p>
                </li>
                <li>
                  <p><label for="email">Cuenta e-mail v&aacute;lida</label></p>
                  <p><input class="form_acceso_input" id="email" name="email" type="email" value="<?php echo $matriz_datos['email'] ?>"></p>
                </li>
              </ul>
              <br class="limpia_flota">
              <ul id="lista_datos" class="lista_raw">
                <li>
                  <p><label>Fecha de alta</label></p>
                  <p class="parrafo_datos"><?php echo $matriz_datos['fecha'] ?></p>
                </li>
                <li>
                  <p><label>Contrase&ntilde;a del cliente</label></p>
                  <p class="parrafo_datos"><?php echo $matriz_datos['clave'] ?></p>
                </li>
              </ul>
              <br class="limpia_flota">
              <ul id="lista_opciones_pie" class="lista_raw">
                <li id="lista_opciones_pie_informacion">Informaci&oacute;n</li>
                <li id="lista_opciones_pie_app"><?php echo("<img src='../../imagenes/marcador_".$matriz_datos['app'].".png' width='16' height='16' alt='estado'>") ?>Estado app</li>
                <li id="lista_opciones_pie_estado">Estado del cliente:<input name="estado_cliente" type="checkbox" class="radio" <?php if($matriz_datos['estado']){?> checked="checked" <?php } ?> >activo</li>
              </ul>
              <input type="hidden" id="idempresa" name="idempresa" value="<?php echo $_GET['idempresa'] ?>">	
            </form>
            <p id="linea_boton"><input id="boton_actualizar" name="boton_actualizar" type="button" value="actualizar"><input id="boton_eliminar" name="boton_eliminar" type="button" value="eliminar"></p>
        	<p id="linea_espera" class="linea_boton_p">Un momento por favor ...</p>
        </div>
      </div>
    </div>
</section>

<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
