// JavaScript Document

function inicializa()
{	
	document.getElementById("form_acceso").clave.focus();
	
	//código del botón de acceso
	var boton = document.getElementById("boton");
	boton.onclick = function()
	{	
		lanzarPeticion("form_acceso");
		document.getElementById("form_acceso").reset();
		document.getElementById("linea_boton").style.display = "none";
		document.getElementById("linea_espera").style.display = "block";
	}
	
	//código de acceso a la identificación del administrador
	function lanzarPeticion(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/identificacion.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta)
					{
						location.href = "../controlador/muestra_listado.php";
					}
					else
					{
						alert("Identificación incorrecta");
						document.getElementById("form_acceso").clave.focus();
						document.getElementById("linea_boton").style.display = "block";
						document.getElementById("linea_espera").style.display = "none";
					}
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

window.onload = inicializa;