<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/listado.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/listado.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de clientes</p>
</header>

<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<p id="titulo_seccion">Listado de clientes</p>
        <div id="contenedor_listado">
            <nav>
              <ul id="menu" class="lista_raw">
                  <li id="menu_listado">Listado<br>de clientes</li>
                  <li id="menu_nuevo">Nuevo<br>cliente</li>
                  <li id="menu_salir">Salir de la<br>aplicaci&oacute;n</li>
              </ul>
              <br class="limpia_flota">
            </nav>
            <p id="texto_info">Se han encontrado <span>[<?php echo count($matriz_datos) ?>]</span> empresas. Haga clic sobre el nombre de aquella que desee editar</p>
            <table id="tabla_listado">
              <tr>
                <th scope="col" class="celda_izquierda">Nombre de la empresa</th>
                <th scope="col" class="celda_izquierda">Fecha de alta</th>
                <th scope="col" class="celda_centrada">Estado App</th>
              </tr>
              <?php foreach($matriz_datos as $registro){ ?>
              <tr>
                <td><a href="javascript:editarEmpresa('<?php echo $registro['idempresa'] ?>')"><?php echo $registro['nombre'] ?></a></td>
                <td><?php echo htmlentities($registro['fecha']) ?></td>
                <td class="celda_centrada"><?php echo("<img src='../../imagenes/marcador_".$registro['app'].".png' width='16' height='16' alt='estado'>") ?></td>
              </tr>
              <?php }?>
            </table>
        </div>
      </div>
    </div>
</section>

<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
