<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/alta_novedades.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/codigo_general.js"></script>
<script type="text/javascript" src="../vista/alta_novedades.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de contenidos</p>
</header>
<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<nav>
        	<ul class="lista_raw">
            	<li id="boton_menu_datos">Datos de la empresa</li>
                <li class="opcion_seleccionada">Catálogo de novedades</li>
                <li id="boton_menu_app">Diseño de la aplicación</li>
            </ul>
        </nav>
        <div id="contenedor_general">
        
        <section id="identificacion_empresa">
          <p id="parrafo_boton_cerrar_sesion"><img id="boton_cerrar_sesion_usuarios" src="../../imagenes/boton_cerrar_sesion_usuarios.png" width="40" height="40" alt="cerrar sesión de usuari@" title="cerrar sesión de usuari@"></p>
          <ul class="lista_raw">
              <li><?php echo("<img id='logo_empresa' src='".$datos['logo']."' height='80' alt='logotipo'>"); ?></li>
              <li><?php echo(utf8_encode("<p id='nombre_empresa'>".$datos['nombre']."</p>")); ?></li>
          </ul>
        </section>
        
        <section id="menu_novedades">
          <ul id="menu" class="lista_raw">
              <li id="menu_listado">Listado<br>de novedades</li>
              <li id="menu_nuevo">Creaci&oacute;n de<br>novedades</li>
          </ul>
          <br class="limpia_flota">
        </section>
        
        <section id="formulario_alta_novedades">
          <p id="alta_novedades_titulo">Creaci&oacute;n de novedades</p>
          <p id="alta_novedades_info">Para dar de alta una novedad en su catálogo, complete el siguiente formulario y haga clic en el  botón <span class="negrita">«crear novedad»</span></p>
          <form id="form_datos" method="post">
            <div>
              <p><label for="nombre_producto">Nombre del producto</label></p>
              <p><input id="nombre_producto" name="nombre_producto" type="text"></p>
              <p><label for="precio">Precio</label></p>
              <p><input id="precio" name="precio" type="text"></p>
            </div>
            <div>
              <p><label for="descripcion">Descripci&oacute;n</label></p>
              <p><textarea id="descripcion" name="descripcion"></textarea></p>
            </div>
            <br class="limpia_flota">
          </form>
          <p id="linea_boton_alta_novedades" class="linea_boton"><input class="boton" id="boton_alta_novedades" name="boton_datos" type="button" value="crear novedad"></p>
          <p id="linea_espera_alta_novedades" class="linea_boton_p">Un momento por favor ...</p> 
        </section>
            
      </div>
    </div>
  </div>
</section>
<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
