<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/datos_empresa.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/codigo_general.js"></script>
<script type="text/javascript" src="../vista/datos_empresa.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de contenidos</p>
</header>
<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<nav>
        	<ul class="lista_raw">
            	<li class="opcion_seleccionada">Datos de la empresa</li>
                <li id="boton_menu_novedades">Catálogo de novedades</li>
                <li id="boton_menu_app">Diseño de la aplicación</li>
            </ul>
        </nav>
        <div id="contenedor_general">
        
        	<section id="identificacion_empresa">
              <p id="parrafo_boton_cerrar_sesion"><img id="boton_cerrar_sesion_usuarios" src="../../imagenes/boton_cerrar_sesion_usuarios.png" width="40" height="40" alt="cerrar sesión de usuari@" title="cerrar sesión de usuari@"></p>
              <ul class="lista_raw">
                <li><?php echo("<img id='logo_empresa' src='../../biblioteca/logotipos/".$fila_datos['logo'].".png' height='80' alt='logotipo'>"); ?></li>
                <li><?php echo(utf8_encode("<p id='nombre_empresa'>".$fila_datos['nombre']."</p>")); ?></li>
              </ul>
            </section>
            
            <section id="formulario_datos_empresa">
              <p class="texto_info">Realice las modificaciones que necesite en su formulario de datos y haga clic en el botón <span>&laquo;actualizar&raquo;</span>. Tenga en cuenta que para el dato &quot;Google Maps&quot; deberá usar siempre, la URL que provee este servicio.</p>
              <form id="form_datos" method="post">
                <div>
                  <p><label for="nif">N.I.F.</label></p>
                  <p><input id="nif" name="nif" type="text" maxlength="12" value="<?php echo $fila_datos['nif'] ?>"></p>
                  <p><label for="telefono">Tel&eacute;fono</label></p>
                  <p><input id="telefono" name="telefono" type="text" maxlength="12" value="<?php echo $fila_datos['telefono'] ?>"></p>
                  <p><label for="movil">M&oacute;vil</label></p>
                  <p><input id="movil" name="movil" type="text" maxlength="12" value="<?php echo $fila_datos['movil'] ?>"></p>
                  <p><label for="direccion">Direcci&oacute;n</label></p>
                  <p><input id="direccion" name="direccion" type="text" maxlength="45" value="<?php echo $fila_datos['direccion'] ?>"></p>
                  <p><label for="poblacion">Poblaci&oacute;n</label></p>
                  <p><input id="poblacion" name="poblacion" type="text" maxlength="45" value="<?php echo $fila_datos['poblacion'] ?>"></p>
                  <p><label for="cp">C&oacute;digo Postal</label></p>
                  <p><input id="cp" name="cp" type="text" maxlength="5" value="<?php echo $fila_datos['cp'] ?>"></p>
                  <p><label>Provincia</label></p>
                  <p><span id="caja_muestra_provincia" class="campo"><?php echo $fila_datos['provincia'] ?></span></p>
                  <p><label for="provincia">Elija otra provincia</label></p>
                  <p><select id="provincia" name="provincia">
                        <option value="Ninguna Provincia Espa&ntilde;ola">Ninguna Provincia Espa&ntilde;ola</option>
    
                        <option value="Alava">Alava </option>
                        <option value="Albacete">Albacete </option>
                        <option value="Alicante">Alicante </option>
                        <option value="Almer&iacute;a">Almer&iacute;a </option>
                        <option value="Asturias">Asturias </option>
                        <option value="Avila">Avila </option>
    
                        <option value="Badajoz">Badajoz </option>
                        <option value="Baleares">Baleares </option>
                        <option value="Barcelona">Barcelona </option>
                        <option value="Burgos">Burgos </option>
                        <option value="C&aacute;ceres">C&aacute;ceres </option>
                        <option value="C&aacute;diz">C&aacute;diz </option>
    
                        <option value="Castell&oacute;n de la Plana">Castell&oacute;n de la Plana </option>
                        <option value="Ciudad Real">Ciudad Real </option>
                        <option value="C&oacute;rdoba (capital)">C&oacute;rdoba (capital) </option>
                        <option value="C&oacute;rdoba (provincia)">C&oacute;rdoba (provincia) </option>
                        <option value="Coru&ntilde;a (A)">Coru&ntilde;a (A) </option>
                        <option value="Cuenca">Cuenca </option>
    
                        <option value="Girona">Girona </option>
                        <option value="Granada">Granada </option>
                        <option value="Guadalajara">Guadalajara </option>
                        <option value="Guip&uacute;zcoa">Guip&uacute;zcoa </option>
                        <option value="Huelva">Huelva </option>
                        <option value="Huesca">Huesca </option>
    
                        <option value="Ja&eacute;n">Ja&eacute;n </option>
                        <option value="Le&oacute;n">Le&oacute;n </option>
                        <option value="Lleida">Lleida </option>
                        <option value="La Rioja">La Rioja </option>
                        <option value="Lugo">Lugo </option>
    
                        <option value="Madrid">Madrid </option>
                        <option value="M&aacute;laga">M&aacute;laga </option>
                        <option value="Murcia">Murcia </option>
                        <option value="Navarra">Navarra </option>
                        <option value="Ourense">Ourense </option>
                        <option value="Palencia">Palencia </option>
    
                        <option value="Palmas (Las)">Palmas (Las) </option>
                        <option value="Pontevedra">Pontevedra </option>
                        <option value="Salamanca">Salamanca </option>
                        <option value="S.C. Tenerife">S.C. Tenerife </option>
                        <option value="Santander">Cantabria </option>
                        <option value="Segovia">Segovia </option>
    
                        <option value="Sevilla">Sevilla </option>
                        <option value="Soria">Soria </option>
                        <option value="Tarragona">Tarragona </option>
                        <option value="Teruel">Teruel </option>
                        <option value="Toledo">Toledo </option>
                        <option value="Valencia">Valencia </option>
    
                        <option value="Valladolid">Valladolid </option>
                        <option value="Vizcaya">Vizcaya </option>
                        <option value="Zamora">Zamora </option>
                        <option value="Zaragoza">Zaragoza </option>
                        <option value="Ceuta">Ceuta </option>
                        <option value="Melilla">Melilla </option>
                    </select>
                  </p>
                </div>
                <div>
                  <p><label for="googlemaps">Google Maps</label></p>
                  <p><input id="googlemaps" name="googlemaps" type="text" value="<?php echo $fila_datos['googlemaps'] ?>"></p>
                  <p><label for="facebook">Facebook</label></p>
                  <p><input id="facebook" name="facebook" type="text" value="<?php echo $fila_datos['facebook'] ?>"></p>
                  <p><label>Email</label></p>
                  <p><span class="campo"><?php echo $fila_datos['email'] ?></span></p>
                  <p><label for="descripcion">Descripci&oacute;n</label></p>
                  <p><textarea id="descripcion" name="descripcion"><?php echo $fila_datos['descripcion'] ?></textarea></p>
                </div>
                <br class="limpia_flota">
              </form>
              <p id="linea_boton_datos" class="linea_boton"><input class="boton" id="boton_datos" name="boton_datos" type="button" value="actualizar"></p>
              <p id="linea_espera_datos" class="linea_boton_p">Un momento por favor ...</p>
            </section>
            
            <section id="formulario_mensaje_administrador">
              <p class="texto_info"><a id="administrador"></a>Si desea comunicarse con el administrador del sistema, utilice el siguiente formulario para enviarnos un mensaje.<br>A continuación, haga clic en el botón <span>«enviar»</span></p>
              <form id="form_mensaje" method="post">
                  <p><label for="mensaje">Mensaje</label></p>
                  <p><textarea id="mensaje" name="mensaje"></textarea></p>
                  <input type="hidden" name="email" id="email" value="<?php echo $fila_datos['email'] ?>">
                  <input type="hidden" name="nombre" id="nombre" value="<?php echo $fila_datos['nombre'] ?>">
              </form>
              <p id="linea_boton_mensaje" class="linea_boton"><input class="boton" id="boton_mensaje" name="boton_mensaje" type="button" value="enviar"></p>
              <p id="linea_espera_mensaje" class="linea_boton_p">Un momento por favor ...</p>
            </section>
            
        </div>
      </div>
    </div>
</section>
<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
