// JavaScript Document

function inicializa()
{	
	inicializa_general();
	
	//código de los botones del menú de cabecera de la sección
	var menu_listado = document.getElementById("menu_listado");
	menu_listado.onclick = function()
	{
		var logo = document.getElementById("logo_empresa").src;
		var nombre = document.getElementById("nombre_empresa").innerHTML;
		
		location.href = "../controlador/muestra_lista_novedades.php?logo=" + escape(logo) + "&nombre=" + escape(nombre);	
	}
	var menu_nuevo = document.getElementById("menu_nuevo");
	menu_nuevo.onclick = function()
	{
		var logo = document.getElementById("logo_empresa").src;
		var nombre = document.getElementById("nombre_empresa").innerHTML;
		
		location.href = "../controlador/muestra_alta_novedades.php?logo=" + escape(logo) + "&nombre=" + escape(nombre);	
	}
	
	//código de los botones de edición de los datos del producto
	var boton_actualizar = document.getElementById("boton_actualizar");
	boton_actualizar.onclick = function()
	{
		var formulario = document.getElementById("form_datos");
		
		if (formulario.nombre_producto.value !="")
		{
			if (formulario.precio.value !="")
			{
				if (!isNaN(formulario.precio.value))
				{
					if (formulario.descripcion.value !="")
					{
						actualizar("form_datos");
						document.getElementById("linea_boton_edicion_novedades").style.display = "none";
						document.getElementById("linea_espera_edicion_novedades").style.display = "block";
					}
					else
					{
						alert("indique la descripción del producto");	
					}
				}
				else
				{
					alert("indique una cantidad para el precio del producto");	
				}
			}
			else
			{
				alert("indique algún precio para el producto");	
			}	
		}
		else
		{
			alert("indique algún nombre de producto");	
		}	
	}
	
	var boton_eliminar = document.getElementById("boton_eliminar");
	boton_eliminar.onclick = function()
	{
		eliminar();	
	}
	
	
	//código de los botones de gestión de las fotos
	var boton_cerrar_edicion_foto = document.getElementById("boton_cerrar_edicion_foto");
	boton_cerrar_edicion_foto.onclick = function()
	{
		document.getElementById("edicion_de_foto").style.display = "none";	
	}
	
	var boton_actualizar_foto = document.getElementById("boton_actualizar_foto");
	boton_actualizar_foto.onclick = function()
	{
		var form_edicion_foto = document.getElementById("form_edicion_foto");
		
		if (form_edicion_foto.comentario_foto_edicion.value !="")
		{
			document.getElementById("comentario_foto_edicion").value = escape(document.getElementById("comentario_foto_edicion").value);
			actualizar_foto();
			document.getElementById("linea_boton_actualizar_foto").style.display = "none";
			document.getElementById("linea_espera_actualizar_foto").style.display = "block";
		}
		else
		{
			alert("indique la descripción del producto");	
		}	
	}
	
	var boton_eliminar_foto = document.getElementById("boton_eliminar_foto");
	boton_eliminar_foto.onclick = function()
	{
		eliminar_foto();
		
		document.getElementById("linea_boton_eliminar_foto").style.display = "none";
		document.getElementById("linea_espera_eliminar_foto").style.display = "block";
	}
	
	var boton_alta_foto = document.getElementById("boton_alta_foto");
	boton_alta_foto.onclick = function()
	{
		if(document.getElementById("form_alta_fotos").comentario.value != "")
		{
			document.getElementById("form_alta_fotos").comentario.value = escape(document.getElementById("form_alta_fotos").comentario.value);
			document.getElementById("form_alta_fotos").submit();
			document.getElementById("form_alta_fotos").comentario.value = unescape(document.getElementById("form_alta_fotos").comentario.value);	
		}
		else
		{
			alert("escriba algún comentario sobre la foto");
		}
	}
	
	
	
	//código para la actualización de los datos del producto
	function actualizar(formulario)
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena(formulario);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_edicion_novedades.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("La actualización se realizó correctamente");
					}
					else
					{
						alert("Error en la actualización");
					}
					document.getElementById("linea_boton_edicion_novedades").style.display = "block";
					document.getElementById("linea_espera_edicion_novedades").style.display = "none";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
	
	//código para la eliminación de productos
	function eliminar()
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = "idproducto=" + document.getElementById("idproducto").value;
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_borrado_novedades.php", true);
			cargador.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						var logo = document.getElementById("logo_empresa").src;
						var nombre = document.getElementById("nombre_empresa").innerHTML;
						
						alert("Producto eliminado correctamente");
						location.href = "../controlador/muestra_lista_novedades.php?logo=" + escape(logo) + "&nombre=" + escape(nombre);
					}
					else
					{
						alert("Eliminación incorrecta");
						document.getElementById("linea_boton_edicion_novedades").style.display = "block";
						document.getElementById("linea_espera_edicion_novedades").style.display = "none";
					}
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
	
	//código para la actualización del comentario de la foto
	function actualizar_foto()
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = formaCadena("form_edicion_foto");
			document.getElementById("comentario_foto_edicion").value = unescape(document.getElementById("comentario_foto_edicion").value);
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_edicion_foto.php", true);
			cargador.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						alert("Los datos de la foto se actualizaron correctamente");
					}
					else
					{
						alert("Error en la actualización");
					}
					document.getElementById("linea_boton_actualizar_foto").style.display = "block";
					document.getElementById("linea_espera_actualizar_foto").style.display = "none";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
	
	//código para la eliminación de una foto del producto
	function eliminar_foto()
	{	
		var cargador = creaAjax();
		
		if (cargador)
		{
			//Llama a la función que forma la cadena de parámetros del SEND
			var query_string = "idfoto=" + document.getElementById("idfoto").value + "&nombre=" + document.getElementById("nombre_foto").value;
			
			// Llamar a la funcion de respuesta
			cargador.onreadystatechange = cargaDatos;
			
			// Realizar peticion HTTP			
			cargador.open("POST", "../controlador/realiza_borrado_foto.php", true);
			cargador.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
			cargador.send(query_string);
		}	
		
		function cargaDatos()
		{
			if(cargador.readyState == 4)
			{		
				if (cargador.status == 200)
				{
					var cadenaRespuesta = cargador.responseText;
					if(cadenaRespuesta == "true")
					{
						var idproducto = document.getElementById("idproducto").value;
						var logo = document.getElementById("logo_empresa").src;
						var nombre = document.getElementById("nombre_empresa").innerHTML;
						
						alert("Foto eliminada correctamente");
						location.href = "../controlador/muestra_edicion_novedades.php?logo=" + escape(logo) + "&nombre=" + escape(nombre) + "&idproducto=" + escape(idproducto);
					}
					else
					{
						alert("Eliminación incorrecta");
					}
					document.getElementById("linea_boton_eliminar_foto").style.display = "block";
					document.getElementById("linea_espera_eliminar_foto").style.display = "none";
				}
				else if (cargador.status == 404)
				{
					alert("ERROR EN SU PETICION DE CONSULTA");
				}
			}
		}
	}
}

//código que muestra el bloque de la información de una foto
function muestra_info_foto(foto)
{
	var cargador = creaAjax();
		
	if (cargador)
	{
		//Llama a la función que forma la cadena de parámetros del SEND
		var query_string = "idfoto=" + foto;
		
		// Llamar a la funcion de respuesta
		cargador.onreadystatechange = cargaDatos;
		
		// Realizar peticion HTTP			
		cargador.open("POST", "../controlador/realiza_muestra_info_foto.php", true);
		cargador.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		cargador.send(query_string);
	}	
	
	function cargaDatos()
	{
		if(cargador.readyState == 4)
		{		
			if (cargador.status == 200)
			{
				var cadenaRespuesta = cargador.responseText;
				if(cadenaRespuesta)
				{
					
					var datos_fotos = cadenaRespuesta.split("-");
					
					document.getElementById("edicion_de_foto").style.display = "block";
					
					document.getElementById("imagen_foto_edicion").src = "../../biblioteca/fotos/" + datos_fotos[0] + ".jpg";
					document.getElementById("comentario_foto_edicion").value = unescape(datos_fotos[1]);
					document.getElementById("idfoto").value = foto;
					document.getElementById("nombre_foto").value = datos_fotos[0];
				}
				else
				{
					alert("Error. No se pudieron mostrar los datos de esta foto");
				}
			}
			else if (cargador.status == 404)
			{
				alert("ERROR EN SU PETICION DE CONSULTA");
			}
		}
	}	
}

window.onload = inicializa;