<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/edicion_novedades.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/codigo_general.js"></script>
<script type="text/javascript" src="../vista/edicion_novedades.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de contenidos</p>
</header>
<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<nav>
        	<ul class="lista_raw">
            	<li id="boton_menu_datos">Datos de la empresa</li>
                <li class="opcion_seleccionada">Catálogo de novedades</li>
                <li id="boton_menu_app">Diseño de la aplicación</li>
            </ul>
        </nav>
        <div id="contenedor_general">
        
        <section id="identificacion_empresa">
          <p id="parrafo_boton_cerrar_sesion"><img id="boton_cerrar_sesion_usuarios" src="../../imagenes/boton_cerrar_sesion_usuarios.png" width="40" height="40" alt="cerrar sesión de usuari@" title="cerrar sesión de usuari@"></p>
          <ul class="lista_raw">
              <li><?php echo("<img id='logo_empresa' src='".$datos['logo']."' height='80' alt='logotipo'>"); ?></li>
              <li><?php echo(utf8_encode("<p id='nombre_empresa'>".$datos['nombre']."</p>")); ?></li>
          </ul>
        </section>
        
        <section id="menu_novedades">
          <ul id="menu" class="lista_raw">
              <li id="menu_listado">Listado<br>de novedades</li>
              <li id="menu_nuevo">Creaci&oacute;n de<br>novedades</li>
          </ul>
          <br class="limpia_flota">
        </section>
        
        <section id="formulario_edicion_novedades">
          <p id="edicion_novedades_titulo">Edici&oacute;n de novedades</p>
          <p id="edicion_novedades_info">Para modificar los datos del producto, realice los cambios que necesite directamente sobre el formulario y finalmente, haga clic en el bot&oacute;n <span class="negrita">«actualizar»</span><br>
            <br>
            Si desea eliminar este producto, haga clic sobre el bot&oacute;n <span class="negrita">«eliminar»</span>. Tenga en cuenta que si lo hace, borrar&aacute; tambi&eacute;n  toda la informaci&oacute;n relacionada con el mismo, como sus datos y galer&iacute;a de fotos</p>
          <form id="form_datos" method="post">
            <div>
              <p><label for="nombre_producto">Nombre del producto</label></p>
              <p><input id="nombre_producto" name="nombre_producto" type="text" value="<?php echo($fila_datos['nombre']); ?>"></p>
              <p><label for="precio">Precio</label></p>
              <p><input id="precio" name="precio" type="text" value="<?php echo($fila_datos['precio']); ?>"></p>
            </div>
            <div>
              <p><label for="descripcion">Descripci&oacute;n</label></p>
              <p><textarea id="descripcion" name="descripcion"><?php echo($fila_datos['descripcion']); ?></textarea></p>
            </div>
            <br class="limpia_flota">
            <input type="hidden" id="idproducto" name="idproducto" value="<?php echo($datos['idproducto']); ?>">
          </form>
          <p id="linea_boton_edicion_novedades"><input class="boton" id="boton_actualizar" name="boton_actualizar" type="button" value="actualizar"><input class="boton_rojo" id="boton_eliminar" name="boton_eliminar" type="button" value="eliminar"></p>
          <p id="linea_espera_edicion_novedades" class="linea_boton_p">Un momento por favor ...</p> 
        </section>
        
        <section id="gestion_galeria_fotos">
            <section id="listado_de_fotos">
                <p class="titulo_seccion_edicion_novedades">. Galer&iacute;a de fotos del producto</p>
                
				<?php if ($resultado){ ?>
                <p id="listado_fotos_info">Se han encontrado <span class="negrita_roja">[<?php echo($numero_fotos); ?>]</span> fotograf&iacute;as del producto. Haga clic en el  botón <span class="negrita">«+ info»</span> de la foto que desee gestionar</p>
                <ul id="listado_fotos_lista" class="lista_raw">
                <!--elemento que itera-->
                <?php while($lista_fotos = mysql_fetch_array($resultado, MYSQL_ASSOC)){ ?>
                <li>
                  <p><?php echo("<img src='../../biblioteca/fotos/".$lista_fotos['nombre'].".jpg' width='160' height='214' alt='foto producto'>"); ?></p>
                  <p class="nombre_foto_lista" onClick="muestra_info_foto('<?php echo($lista_fotos['idfoto']); ?>')"><a href="#edicionfoto">+ info</a></p>
                </li>
                <?php } ?>
                <!--fin de elemento que itera-->
                </ul>
                <?php }else{ ?>
                <p id="listado_fotos_info" class="negrita_roja">Aún no existen fotograf&iacute;as del producto. Use el formulario de abajo para a&ntilde;adir fotos</p>
                <?php } ?>
            </section>
            
            <a id="edicionfoto"></a>
            <section id="edicion_de_foto">
              <p id="separador_edicion_foto">&nbsp;</p>
                <div id="bloque_edicion_foto">
                    <ul id="titulo_bloque_edicion_foto" class="lista_raw">
                        <li class="flota_izq">. Edici&oacute;n de fotograf&iacute;a</li>
                        <li class="flota_der"><img id="boton_cerrar_edicion_foto" src="../../imagenes/boton_cerrar_edicion_foto.png" width="26" height="26" alt="cerrar edici&oacute;n de fotograf&iacute;a" title="cerrar edici&oacute;n de fotograf&iacute;a"></li>
                    </ul>
                    <br class="limpia_flota">
                    <form id="form_edicion_foto" method="post">
                      <ul id="items_form_edicion_foto" class="lista_raw">
                          <li><img id="imagen_foto_edicion" src="../../biblioteca/fotos/no.jpg" width="160" height="214" alt="foto producto"></li>
                          <li>
                              <p><label for="comentario_foto_edicion">Modifique el comentario</label></p>
                              <p><textarea id="comentario_foto_edicion" id="comentario_foto_edicion" name="comentario_foto_edicion"></textarea></p>
                          </li>
                          <li>
                              <p id="linea_boton_actualizar_foto"><input class="boton" type="button" id="boton_actualizar_foto" name="boton_actualizar_foto" value="actualizar"></p>
                              <p id="linea_espera_actualizar_foto" class="linea_boton_p">Un momento por favor ...</p>
                              <p id="linea_boton_eliminar_foto"><input class="boton_rojo" type="button" id="boton_eliminar_foto" name="boton_eliminar_foto" value="eliminar"></p>
                              <p id="linea_espera_eliminar_foto" class="linea_boton_p">Un momento por favor ...</p>
                          </li>
                      </ul>
                      <br class="limpia_flota">
                      <input type="hidden" id="idfoto" name="idfoto">
                      <input type="hidden" id="nombre_foto" name="nombre_foto">
                    </form>
                </div>
            </section>
            	
        </section>
        
        <section id="alta_fotos">
        	<p class="titulo_seccion_edicion_novedades">. A&ntilde;adir nueva foto a la galer&iacute;a</p>
            <p class="texto_info">Para a&ntilde;adir una nueva fotograf&iacute;a, complete el siguiente formulario y haga clic en el  bot&oacute;n <span class="negrita">«a&ntilde;adir foto»</span>. Tenga en cuenta que la imagen deberá medir menos de 412 píxeles, su tamaño no podrá superar los 512KB y su formato deber&aacute; ser JPG</p>
            <form id="form_alta_fotos" enctype="multipart/form-data" method="post" action="../controlador/realiza_sube_foto.php">
            	<ul id="items_form_alta_fotos" class="lista_raw">
                	<li>
                    	<p><label for="comentario">Escriba un breve comentario</label></p>
                        <p><textarea id="comentario" name="comentario"></textarea></p>
                    </li>
                    <li>
                    	<input type="hidden" name="MAX_FILE_SIZE" value="512000" />
                        <p><input id="nombre_foto" name="nombre_foto" class="nombre_foto" type="file"></p>
                        <p id="linea_boton_alta_foto"><input class="boton" type="button" id="boton_alta_foto" name="boton_alta_foto" value="a&ntilde;adir foto"></p>
                        <p id="linea_espera_alta_foto" class="linea_boton_p">Un momento por favor ...</p>
                    </li>
                </ul>
                <br class="limpia_flota">
                <input type="hidden" id="idproducto" name="idproducto" value="<?php echo($datos['idproducto']); ?>">
                <input type="hidden" id="nombre_empresa" name="nombre_empresa" value="<?php echo($datos['nombre']); ?>">
                <input type="hidden" id="logo_empresa" name="logo_empresa" value="<?php echo($datos['logo']); ?>">
            </form>
        </section>
            
      </div>
    </div>
  </div>
</section>
<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
<?php
	if (isset($_GET['mensaje']))
	{
		echo("<script type='text/javascript'>alert('".$_GET['mensaje']."');</script>");
	}
?>
</html>