<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>TFG. Francisco Olmo Ortiz</title>
<link href="../vista/estilos.css" rel="stylesheet" type="text/css">
<link href="../vista/lista_novedades.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../vista/funciones.js"></script>
<script type="text/javascript" src="../vista/codigo_general.js"></script>
<script type="text/javascript" src="../vista/lista_novedades.js"></script>
</head>

<body>
<header>
	<p id="header_titulo">Mobile Apps para cat&aacute;logos de empresa. Gesti&oacute;n de contenidos</p>
</header>
<section id="cuerpo">
	<div id="cuerpo_contenido">
      <div id="cuerpo_contenido_caja">
    	<nav>
        	<ul class="lista_raw">
            	<li id="boton_menu_datos">Datos de la empresa</li>
                <li class="opcion_seleccionada">Catálogo de novedades</li>
                <li id="boton_menu_app">Diseño de la aplicación</li>
            </ul>
        </nav>
        <div id="contenedor_general">
        
        <section id="identificacion_empresa">
          <p id="parrafo_boton_cerrar_sesion"><img id="boton_cerrar_sesion_usuarios" src="../../imagenes/boton_cerrar_sesion_usuarios.png" width="40" height="40" alt="cerrar sesión de usuari@" title="cerrar sesión de usuari@"></p>
          <ul class="lista_raw">
            	<li><?php echo("<img id='logo_empresa' src='".$datos['logo']."' height='80' alt='logotipo'>"); ?></li>
                <li><?php echo(utf8_encode("<p id='nombre_empresa'>".$datos['nombre']."</p>")); ?></li>
          </ul>
        </section>
        
        <section id="menu_novedades">
          <ul id="menu" class="lista_raw">
              <li id="menu_listado">Listado<br>de novedades</li>
              <li id="menu_nuevo">Creaci&oacute;n de<br>novedades</li>
          </ul>
          <br class="limpia_flota">
        </section>
        
        <section id="listado_novedades">
          <p id="listado_novedades_titulo">Listado de novedades</p>
          
          <?php if($resultado){ ?>
          <p id="listado_novedades_info">Se han encontrado <span class="negrita_roja">[<?php echo(mysql_num_rows($resultado)); ?>]</span> productos. Haga clic en el  botón <span class="negrita">«+ info»</span> del producto que desee gestionar</p>
          <ul id="listado_novedades_lista" class="lista_raw">
		  <?php while($lista_productos = mysql_fetch_array($resultado,MYSQL_ASSOC)){ ?> 
                <li>
                  <?php
                  if($resultado_2)
				  {
					  for($i=0; $i < count($fotos); $i++)
					  {
						  if($fotos[$i]['idproducto'] == $lista_productos['idproducto'])
						  {
							 $foto_producto = $fotos[$i]['nombre'];
							 break;
						  }
						  else
						  {
							 $foto_producto = "no"; 
						  }
					  }
					  
					  echo("<p><img src='../../biblioteca/fotos/".$foto_producto.".jpg' width='160' height='214' alt='foto producto'></p>");
				  }
				  else
				  {
					  echo("<p><img src='../../biblioteca/fotos/no.jpg' width='160' height='214' alt='foto producto'></p>");
				  }?>
                  <p class="nombre_producto"><?php echo($lista_productos['nombre']); ?></p>
                  <p class="precio_producto"><span onClick="editarProducto('<?php echo($lista_productos['idproducto']); ?>')">+ info</span> <?php echo($lista_productos['precio']); ?>€</p>
                </li>
          <?php } ?>
          </ul>
          <?php }else{ ?>
          <p id="listado_novedades_info">No se han encontrado productos en su cat&aacute;logo. Añada productos usando el bot&oacute;n <span class="negrita">Creaci&oacute;n de novedades</span></p>
          <?php } ?>
        </section>
            
      </div>
    </div>
  </div>
</section>
<footer>
	<p id="footer_titulo">&copy; Francisco Olmo Ortiz - Trabajo fin de grado. Grado de Multimedia - Universitat Oberta de Catalunya. Curso 2012/13 - 2S</p>
</footer>
</body>
</html>
